GAMtools is intended to run in a command line environment on UNIX, LINUX and Apple OS X operating systems. GAMtools can also be installed on Windows using cygwin.

The recommended way to install GAMtools is to use python’s package manager, pip. This method should ensure that all of GAMtools required dependencies are installed automatically.

Alternatively, GAMtools can be installed by downloading the source code and compiling it manually.

Installing stable releases using pip

To install the latest stable release using pip, you need to run the following command:

$ pip install gamtools

pip should automatically find and install any mandatory dependencies that are not currently installed. Additional optional dependencies are required for full GAMtools functionality, but these must be installed manually.

Installing from source (GitHub)

If you want to install the latest development version of GAMtools, you will need to install from source code. First, clone the GAMtools repository from GitHub:

$ git clone

Then install the downloaded package using pip:

$ pip install gamtools/

Or if pip is not installed:

$ cd gamtools
$ python install

Installation using pip is the preferred method, as this will handle installing the mandatory dependencies automatically. If GAMtools is installed using python install you may need to manually install mandatory dependencies yourself.


GAMtools requires numpy and cython to be installed before it can compile properly. If you are installing using pip, numpy and cython should be installed automatically, but there is a chance this might not work. If you are having issues installing GAMtools, the first step is to ensure both numpy and cython are properly installed:

$ pip install cython numpy

If you are still having problems, please post a ticket on our GitHub issues page.

Mandatory dependencies

GAMtools depends on a number of additional python libraries, which must be installed for it to function correctly. These libraries are normally installed automatically during the GAMtools installation process.

Mandatory python dependencies

These python libraries can all be installed using pip:

$ pip install doit numpy scipy cython pandas wrapit

Optional dependencies

Some features in GAMtools depend on additional libraries and/or programs which are not installed automatically.

Making plots

The gamtools plot_np command requires some python plotting libraries to be installed. These may also be required for the gamtools call_windows command if the --fitting-folder flag is specified.

Optional python dependencies

Working with raw sequencing data

The gamtools process_nps command is used to map and process raw sequencing data from NPs. This can require a number of additional command line programs to be installed and configured:

Mapping and processing programs

Program Required for
Bowtie2 Mapping raw sequencing data.
samtools Mapping raw sequencing data.
bedtools Calling positive windows for an NP.
bedGraphToBigWig Creating bigwigs (--bigwigs flag)
bedToBigBed Creating bigbeds (--bigbeds flag)
fastqc Performing dataset quality control (--do-qc flag)
fastq_screen Performing dataset quality control (--do-qc flag)

Testing your installation

To test that you have installed gamtools and all its dependencies correctly you can run the command gamtools test. If you have skipped installing any optional dependencies, you may get a warning message saying something like “x could not be found, and is required for y”. You can safely ignore these messages unless you need the particular gamtools functionality in the message.